<?php include('mysqli_connect.php'); ?>
<?php include('header.php'); ?>

<?php
$errors = [];
$fname = $lname = $comment = "";

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $fname = trim($_POST['fname']);
    $lname = trim($_POST['lname']);
    $comment = trim($_POST['comment']);

    // Validation
    if (empty($fname)) {
        $errors[] = "First name is required.";
    }
    if (empty($lname)) {
        $errors[] = "Last name is required.";
    }
    if (empty($comment)) {
        $errors[] = "Comment is required.";
    }

    // If no errors, proceed to insert
    if (empty($errors)) {
        $stmt = $conn->prepare("INSERT INTO guestbook (fname, lname, comment) VALUES (?, ?, ?)");
        $stmt->bind_param("sss", $fname, $lname, $comment);

        if ($stmt->execute()) {
            echo "<p>Comment successfully added!</p>";
            $fname = $lname = $comment = ""; // Clear fields
        } else {
            echo "<p>Error: " . $stmt->error . "</p>";
        }

        $stmt->close();
    }
}
$conn->close();
?>

<form action="comment.php" method="post">
    <?php if (!empty($errors)): ?>
        <ul>
            <?php foreach ($errors as $error): ?>
                <li><?php echo htmlspecialchars($error, ENT_QUOTES); ?></li>
            <?php endforeach; ?>
        </ul>
    <?php endif; ?>
    <label for="fname">First Name:</label>
    <input type="text" name="fname" value="<?php echo htmlspecialchars($fname, ENT_QUOTES); ?>" required><br>
    <label for="lname">Last Name:</label>
    <input type="text" name="lname" value="<?php echo htmlspecialchars($lname, ENT_QUOTES); ?>" required><br>
    <label for="comment">Comment:</label>
    <textarea name="comment" required><?php echo htmlspecialchars($comment, ENT_QUOTES); ?></textarea><br>
    <input type="submit" value="Submit">
</form>

<?php include('footer.php'); ?>
